Items - List Items
Returns a list of active Fabric and PowerBI items.
Note
This API is part of a Preview release and is provided for evaluation and development purposes only. It may change based on feedback and is not recommended for production use.
This API supports pagination. A maximum of 10,000 records can be returned per request. With the continuation token provided in the response, you can get the next 10,000 records.
Page order:
- Fabric items
- Datamarts
- Reports
- Dashboards
- SemanticModels
- Apps
- Dataflows
Permissions
The caller must be a Fabric administrator or authenticate using a service principal.
Required Delegated Scopes
Tenant.Read.All or Tenant.ReadWrite.All
Limitations
This endpoint is limited to 10 requests per minute per tenant and caller identity type (user or service principal), as well as a maximum of 200 requests per hour per tenant. Requests from different service principals in the same tenant share the per-minute allowance. Each request for a continuation page counts as a separate request. Coordinate and pace requests, including pagination, across applications in the same tenant. On HTTP 429, wait for the number of seconds specified in Retry-After before retrying.
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/admin/items
GET https://api.fabric.microsoft.com/v1/admin/items?workspaceId={workspaceId}&capacityId={capacityId}&state={state}&type={type}&continuationToken={continuationToken}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
capacity
|
query |
string (uuid) |
The capacity ID of the workspace. |
|
|
continuation
|
query |
string |
Continuous token used to get the next page items. |
|
|
state
|
query |
string |
The item state. Supported states are active. |
|
|
type
|
query |
string |
The item type. |
|
|
workspace
|
query |
string (uuid) |
The workspace ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
The operation was successful. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
| Get a list of items using type query parameter example |
| Get all items in the tenant example |
| Get list of datamarts using type query parameter example |
Get a list of items using type query parameter example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/items?type=Report
Sample response
{
"itemEntities": [
{
"id": "b1a7e572-2585-4650-98ae-b92356f4460b",
"type": "Report",
"name": "Test Report",
"state": "Active",
"lastUpdatedDate": "2022-06-27T16:55:04.893",
"workspaceId": "7f4496db-9929-47bd-89c0-d7eb2f517a98",
"capacityId": "D5E336D6-D919-4ECC-B424-1F771A506851",
"creatorPrincipal": {
"id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
"displayName": "Jacob Hancock",
"type": "User",
"userDetails": {
"userPrincipalName": "Jacob@example.com"
}
},
"tags": [
{
"displayName": "Tag 1",
"id": "b4e54dd6-1d37-4e7a-9e9a-49a596ff4470"
},
{
"displayName": "Tag 2",
"id": "62d18d7e-3878-478a-b89b-2f38b73c18a4"
}
]
}
],
"continuationUri": null,
"continuationToken": null
}
Get all items in the tenant example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/items
Sample response
{
"itemEntities": [
{
"id": "17d8929d-ab32-46d1-858b-fdea74e93bff",
"type": "Notebook",
"name": "Test",
"description": "Test notebook.",
"state": "Active",
"lastUpdatedDate": "2022-04-29T17:47:29.98673",
"workspaceId": "7f4496db-9929-47bd-89c0-d7eb2f517a95",
"capacityId": "D5E336D6-D919-4ECC-B424-1F771A506851",
"creatorPrincipal": {
"id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
"displayName": "Caleb Foster",
"type": "User",
"userDetails": {
"userPrincipalName": "caleb@example.com"
}
},
"defaultIdentity": {
"id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
"displayName": "Caleb Foster",
"type": "User",
"userDetails": {
"userPrincipalName": "caleb@example.com"
}
},
"tags": [
{
"displayName": "Tag 1",
"id": "b4e54dd6-1d37-4e7a-9e9a-49a596ff4470"
},
{
"displayName": "Tag 2",
"id": "62d18d7e-3878-478a-b89b-2f38b73c18a4"
}
]
},
{
"id": "37d8929d-ab32-46d1-858b-fdea74e93bff",
"type": "KQLDatabase",
"name": "TestKusto",
"description": "Test KQL database.",
"state": "Active",
"lastUpdatedDate": "2022-06-30T17:47:29.98673",
"workspaceId": "8f4496db-9929-47bd-89c0-d7eb2f517a95",
"capacityId": "D5E336D6-D919-4ECC-B424-1F881A506851",
"creatorPrincipal": {
"id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
"displayName": "Jacob Hancock",
"type": "User",
"userDetails": {
"userPrincipalName": "jacob@example.com"
}
},
"defaultIdentity": {
"id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
"displayName": "Jacob Hancock",
"type": "User",
"userDetails": {
"userPrincipalName": "jacob@example.com"
}
}
}
],
"continuationUri": "https://api.fabric.microsoft.com/v1/admin/items?continuationToken=MSwxMDAwMCww",
"continuationToken": "MSwxMDAwMCww"
}
Get list of datamarts using type query parameter example
Sample request
GET https://api.fabric.microsoft.com/v1/admin/items?type=Lakehouse
Sample response
{
"itemEntities": [
{
"id": "b1a7e572-2585-4650-98ae-b92356f4460b",
"type": "Lakehouse",
"name": "Lakehouse 2022-03-16T21:42:38.442Z",
"state": "Active",
"lastUpdatedDate": "2022-06-27T16:55:04.893",
"workspaceId": "7f4496db-9929-47bd-89c0-d7eb2f517a98",
"capacityId": "D5E336D6-D919-4ECC-B424-1F771A506851",
"creatorPrincipal": {
"id": "f3052d1c-61a9-46fb-8df9-0d78916ae041",
"displayName": "Jacob Hancock",
"type": "User",
"userDetails": {
"userPrincipalName": "jacob@example.com"
}
},
"tags": [
{
"displayName": "Tag 1",
"id": "b4e54dd6-1d37-4e7a-9e9a-49a596ff4470"
}
]
}
],
"continuationUri": null,
"continuationToken": null
}
Definitions
| Name | Description |
|---|---|
|
Entire |
Represents a tenant principal |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Group |
Group specific details. Applicable when the principal type is |
|
Group |
Represents a security group. |
|
Group |
The type of the group. Additional group types may be added over time. |
| Item |
Item details. |
| Items |
A list of items. |
|
Item |
The item state. Additional item states may be added over time. |
|
Item |
Represents a tag applied on an item. |
|
Item |
The type of the item. Additional item types may be added over time. |
|
Principal |
The type of the principal. Additional principal types may be added over time. |
|
Service |
Service principal specific details. Applicable when the principal type is |
|
Service |
Represents a Microsoft Entra service principal. |
|
Service |
Service principal profile details. Applicable when the principal type is |
|
Service |
Represents a service principal profile. |
|
User |
User principal specific details. Applicable when the principal type is |
|
User |
Represents a Microsoft Entra user principal. |
EntireTenantPrincipal
Represents a tenant principal
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Entire |
The type of the principal. Additional principal types may be added over time. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
GroupDetails
Group specific details. Applicable when the principal type is Group.
| Name | Type | Description |
|---|---|---|
| groupType |
The type of the group. Additional group types may be added over time. |
GroupPrincipal
Represents a security group.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| groupDetails |
Group specific details. Applicable when the principal type is |
|
| id |
string (uuid) |
The principal's ID. |
| type |
string:
Group |
The type of the principal. Additional principal types may be added over time. |
GroupType
The type of the group. Additional group types may be added over time.
| Value | Description |
|---|---|
| Unknown |
Principal group type is unknown. |
| SecurityGroup |
Principal is a security group. |
| DistributionList |
Principal is a distribution list. |
Item
Item details.
| Name | Type | Description |
|---|---|---|
| capacityId |
string (uuid) |
The capacity ID of the workspace. |
| creatorPrincipal | Principal: |
The item's owner. |
| defaultIdentity | Principal: |
The item's default identity. |
| description |
string |
Item details including item type and item usage. |
| folderId |
string (uuid) |
The folder ID of the item. |
| id |
string (uuid) |
The item ID. |
| lastUpdatedDate |
string (date-time) |
The last updated date and time. |
| name |
string |
The item name. |
| state |
The item status. |
|
| tags |
Item |
List of applied tags. |
| type |
The item type. Includes values such as Synapse, Notebook, Kqldatabase and SynapseWorkbook. |
|
| workspaceId |
string (uuid) |
The workspace ID of item. |
Items
A list of items.
| Name | Type | Description |
|---|---|---|
| continuationToken |
string |
The token for the next result set batch. If there are no more records, it's removed from the response. |
| continuationUri |
string |
The URI of the next result set batch. If there are no more records, it's removed from the response. |
| itemEntities |
Item[] |
The list of items for a given tenant. |
ItemState
The item state. Additional item states may be added over time.
| Value | Description |
|---|---|
| Active |
An active item. |
ItemTag
Represents a tag applied on an item.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the tag. |
| id |
string (uuid) |
The tag ID. |
ItemType
The type of the item. Additional item types may be added over time.
| Value | Description |
|---|---|
| Dashboard |
PowerBI dashboard. |
| Report |
PowerBI report. |
| SemanticModel |
PowerBI semantic model. |
| PaginatedReport |
PowerBI paginated report. |
| Datamart |
PowerBI datamart. |
| Lakehouse |
A lakehouse. |
| Eventhouse |
An eventhouse. |
| Environment |
An environment. |
| KQLDatabase |
A KQL database. |
| KQLQueryset |
A KQL queryset. |
| KQLDashboard |
A KQL dashboard. |
| DataPipeline |
A data pipeline. |
| Notebook |
A notebook. |
| SparkJobDefinition |
A spark job definition. |
| MLExperiment |
A machine learning experiment. |
| MLModel |
A machine learning model. |
| Warehouse |
A warehouse. |
| Eventstream |
An eventstream. |
| SQLEndpoint |
An SQL endpoint. |
| MirroredWarehouse |
A mirrored warehouse. |
| MirroredDatabase |
A mirrored database. |
| Reflex |
A Reflex. |
| GraphQLApi |
An API for GraphQL item. |
| MountedDataFactory |
A MountedDataFactory. |
| SQLDatabase |
A SQLDatabase. |
| CopyJob |
A Copy job. |
| VariableLibrary |
A VariableLibrary. |
| Dataflow |
A Dataflow. |
| ApacheAirflowJob |
An ApacheAirflowJob. |
| WarehouseSnapshot |
A Warehouse snapshot. |
| DigitalTwinBuilder |
A DigitalTwinBuilder. |
| DigitalTwinBuilderFlow |
A Digital Twin Builder Flow. |
| MirroredAzureDatabricksCatalog |
A mirrored azure databricks catalog. |
| Map |
A Map. |
| AnomalyDetector |
An Anomaly Detector. |
| UserDataFunction |
A User Data Function. |
| GraphModel |
A GraphModel. |
| GraphQuerySet |
A Graph QuerySet. |
| SnowflakeDatabase |
A Snowflake Database to store Iceberg tables created from Snowflake account. |
| OperationsAgent |
A OperationsAgent. |
| CosmosDBDatabase |
A Cosmos DB Database. |
| Ontology |
An Ontology. |
| EventSchemaSet |
An EventSchemaSet. |
| DataAgent |
A DataAgent. |
| MirroredCatalog |
A MirroredCatalog. |
| PolicySet |
A PolicySet. |
| AppBackend |
An AppBackend. |
| OrgApp |
An Org App. |
| OrgAppAudience |
An Org App Audience. |
| DataBuildToolJob |
A DataBuildToolJob. |
| AzureDatabricksStorage |
A OneLake-backed storage item for Azure Databricks. |
| Plan |
A plan. |
| Monitoring |
A Monitoring item. |
| DeploymentPlan |
A Deployment plan. |
| ShareSubscription |
A Share Subscription. |
| Share |
A share. |
| Playbook |
A Playbook. |
| MirroredOneLake |
A mirrored OneLake item. |
PrincipalType
The type of the principal. Additional principal types may be added over time.
| Value | Description |
|---|---|
| User |
Principal is a Microsoft Entra user principal. |
| ServicePrincipal |
Principal is a Microsoft Entra service principal. |
| Group |
Principal is a security group. |
| ServicePrincipalProfile |
Principal is a service principal profile. |
| EntireTenant |
Principal represents all tenant users. |
ServicePrincipalDetails
Service principal specific details. Applicable when the principal type is ServicePrincipal.
| Name | Type | Description |
|---|---|---|
| aadAppId |
string (uuid) |
The service principal's Microsoft Entra AppId. |
ServicePrincipalPrincipal
Represents a Microsoft Entra service principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalDetails |
Service principal specific details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
ServicePrincipalProfileDetails
Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.
| Name | Type | Description |
|---|---|---|
| parentPrincipal | Principal: |
The service principal profile's parent principal. |
ServicePrincipalProfilePrincipal
Represents a service principal profile.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| servicePrincipalProfileDetails |
Service principal profile details. Applicable when the principal type is |
|
| type |
string:
Service |
The type of the principal. Additional principal types may be added over time. |
UserDetails
User principal specific details. Applicable when the principal type is User.
| Name | Type | Description |
|---|---|---|
| userPrincipalName |
string |
The user principal name. |
UserPrincipal
Represents a Microsoft Entra user principal.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The principal's display name. |
| id |
string (uuid) |
The principal's ID. |
| type |
string:
User |
The type of the principal. Additional principal types may be added over time. |
| userDetails |
User principal specific details. Applicable when the principal type is |